| Online Eiffel Documentation

EiffelStudio

# Reference for `eif_create'

## SYNOPSYS

    #include "eif_cecil. h"

    EIF_OBJECT eif_create (EIF_TYPE_ID tid);

## DESCRIPTION

The eif_create() function creates an Eiffel object, which type identifier is tid.

## RETURN VALUE

It returns an Eiffel object, which is already protected.

## NOTES

You cannot pass the return value to Eiffel routines as is: you must call eif_access() to pass it to Eiffel routine.
To release the protection of an Eiffel object created with eif_create(), call eif_wean(). It will be collected during the next collection.

## CONFORMANCE

ISE Eiffel 4.1 and later.

## SEE ALSO

eif_wean(1) , eif_type_id(1).